Bug 745038 - create subpackage mozilla-build
Summary: create subpackage mozilla-build
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla-filesystem
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-11 09:11 UTC by Thomas Spura
Modified: 2013-04-02 04:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:38:50 UTC


Attachments (Terms of Use)
proposed changes to add the explained subpackage (4.32 KB, patch)
2011-10-11 12:26 UTC, Thomas Spura
no flags Details | Diff
proposed changes to add the explained subpackage (6.59 KB, patch)
2011-10-11 18:49 UTC, Thomas Spura
no flags Details | Diff

Description Thomas Spura 2011-10-11 09:11:23 UTC
I'd like to maintain some scripts in /usr/lib/rpm/*, which will automatically set the proper requires of extensions, so the checks done in an firefox upgrade are also done the rpm way.

e.g.: mozilla-noscript has a install.rdf, which says:
   <!-- Firefox -->
   <em:targetApplication>
     <Description>
     <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
     <em:minVersion>3.0</em:minVersion>
     <em:maxVersion>10.0a1</em:maxVersion>
     </Description>
   </em:targetApplication>

-->> Requires: firefox >= 3.0 firefox <= 10.0a1

These scripts are working fine here locally, what do extensions need to do?
* BR: mozilla-build
* install all extensions into all supported browsers (firefox, seahorse, etc) WITHOUT symlinks (or the proper requires aren't added).

May I co-maintain mozilla-filesystem and add those requires scripts to a subpackage mozilla-build?

Comment 1 Thomas Spura 2011-10-11 12:26:50 UTC
Created attachment 527432 [details]
proposed changes to add  the explained subpackage

Attaching the proposed changes from above. It works totally fine with mozilla-noscript, mozilla-https-everywhere and mozilla-adblockplus.

Comment 2 Thomas Spura 2011-10-11 18:49:33 UTC
Created attachment 527523 [details]
proposed changes to add  the explained subpackage

Now added the macros from the drafts at:
https://fedoraproject.org/wiki/User:Kalev/MozillaExtensionsDraft

Working example package can be found at:
http://tomspur.fedorapeople.org/moz_draft/

Comment 4 Fedora End Of Life 2012-08-07 16:38:52 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.